commit:     335941249e0cb554695e9b2daf1c9c8e752aaf34
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  4 14:52:24 2017 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Feb  4 14:55:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33594124

app-emacs/emacs-common-gentoo: Version bump.

This adds the set of icons from Emacs 25.1.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-emacs/emacs-common-gentoo/Manifest             |   1 +
 .../emacs-common-gentoo-1.6.ebuild                 | 114 +++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/app-emacs/emacs-common-gentoo/Manifest 
b/app-emacs/emacs-common-gentoo/Manifest
index ca19f69..3f9d2d6 100644
--- a/app-emacs/emacs-common-gentoo/Manifest
+++ b/app-emacs/emacs-common-gentoo/Manifest
@@ -1 +1,2 @@
 DIST emacs-common-gentoo-1.5.tar.xz 40844 SHA256 
fbec52de8552c6b22f56382a28d469d9346c02c7569c05cdb0db6a54b39995a1 SHA512 
61ac2a1bb8bc449480137789f4d93228d81d2a7ea87a255a7fd82072ce98eecf5f585d102db95f0deda06102e27efbd5d9fce8cd21d6b58239f7a2b6d4ee4d55
 WHIRLPOOL 
bb6d58d8afb55c9d6204f82553962190cd50f64d25ea5fb50308827f88ea3b1c42dc0e072155567391ffc7745b8871c733c9aee5042b57bfcbef5e5419d0b6cf
+DIST emacs-common-gentoo-1.6.tar.xz 61224 SHA256 
7f43a198068abba9e0735f7dee3bb642dd1531e33563ded364751319bea8f9ec SHA512 
a7daed2241d778ab283482ecc016801e25084eed10fcbbc50e187d5f842df5a0d278a77f94ae950b086c8651e8ca1a18f89c11dffdde9cf9168755288aae926a
 WHIRLPOOL 
7112026dda683d6282807181e7a6e1d666c90df0858b63ae704db05b40ff59b10ab984dd066eeb91fc670cff71eb9bc94cac7b19571409ac166d53a6cec16e39

diff --git a/app-emacs/emacs-common-gentoo/emacs-common-gentoo-1.6.ebuild 
b/app-emacs/emacs-common-gentoo/emacs-common-gentoo-1.6.ebuild
new file mode 100644
index 00000000..74c313e
--- /dev/null
+++ b/app-emacs/emacs-common-gentoo/emacs-common-gentoo-1.6.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit elisp-common eutils fdo-mime gnome2-utils readme.gentoo-r1 user
+
+DESCRIPTION="Common files needed by all GNU Emacs versions"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs";
+SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz";
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="games X"
+
+PDEPEND="virtual/emacs"
+
+pkg_setup() {
+       use games && enewgroup gamestat 36
+}
+
+src_install() {
+       insinto "${SITELISP}"
+       doins subdirs.el
+       newins site-gentoo.el{,.orig}
+
+       keepdir /etc/emacs
+       insinto /etc/emacs
+       doins site-start.el
+
+       if use games; then
+               keepdir /var/games/emacs
+               fowners 0:gamestat /var/games/emacs
+               fperms g+w /var/games/emacs
+       fi
+
+       if use X; then
+               local i
+               domenu emacs.desktop emacsclient.desktop || die
+
+               pushd icons || die
+               newicon sink.png emacs-sink.png
+               newicon emacs25_48.png emacs.png
+               for i in 16 24 32 48 128; do
+                       [[ ${i} -le 48 ]] && newicon -s ${i} emacs22_${i}.png 
emacs22.png
+                       newicon -s ${i} emacs23_${i}.png emacs23.png
+                       newicon -s ${i} emacs25_${i}.png emacs.png
+               done
+               doicon -s scalable emacs23.svg
+               newicon -s scalable emacs25.svg emacs.svg
+               popd
+
+               gnome2_icon_savelist
+       fi
+
+       DOC_CONTENTS="All site initialisation for Gentoo-installed packages is
+               added to ${SITELISP}/site-gentoo.el. In order for this site
+               initialisation to be loaded for all users automatically, a 
default
+               site startup file /etc/emacs/site-start.el is installed. You are
+               responsible for maintenance of this file.
+               \n\nAlternatively, individual users can add the following 
command:
+               \n\n(require 'site-gentoo)
+               \n\nto their ~/.emacs initialisation files, or, for greater
+               flexibility, users may load single package-specific 
initialisation
+               files from the ${SITELISP}/site-gentoo.d/ directory."
+       readme.gentoo_create_doc
+}
+
+pkg_preinst() {
+       # make sure that site-gentoo.el exists since site-start.el requires it
+       if [[ ! -f ${ED}${SITELISP}/site-gentoo.el ]]; then             #554518
+               mv "${ED}${SITELISP}"/site-gentoo.el{.orig,} || die
+       fi
+       if [[ -d ${EROOT}${SITELISP} ]]; then
+               elisp-site-regen
+               cp "${EROOT}${SITELISP}/site-gentoo.el" "${ED}${SITELISP}/" || 
die
+       fi
+
+       if use games; then
+               local f
+               for f in /var/games/emacs/{snake,tetris}-scores; do
+                       if [[ -e ${EROOT}${f} ]]; then
+                               cp "${EROOT}${f}" "${ED}${f}" || die
+                       fi
+                       touch "${ED}${f}" || die
+                       chgrp gamestat "${ED}${f}" || die
+                       chmod g+w "${ED}${f}" || die
+               done
+
+               if has 1.4-r1 ${REPLACING_VERSIONS} \
+                               && [[ -d ${EROOT}/var/games/emacs ]]; then
+                       elog "Updating owner and permissions of score file 
directory."
+                       chown 0:gamestat "${EROOT}"/var/games/emacs || die
+                       chmod 775 "${EROOT}"/var/games/emacs || die
+               fi
+       fi
+}
+
+pkg_postinst() {
+       if use X; then
+               fdo-mime_desktop_database_update
+               gnome2_icon_cache_update
+       fi
+       readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+       if use X; then
+               fdo-mime_desktop_database_update
+               gnome2_icon_cache_update
+       fi
+}

Reply via email to